%global dlrn_nvr ansible-role-lunasa-hsm-2.0.0-2.20220104111245.26da379
%global dlrn 1
%define upstream_version 2.0.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname ansible_role_lunasa_hsm
%global rolename ansible-role-lunasa-hsm

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:          %{rolename}
Version: 2.0.0
Release: 2.20220104111245.26da379%{?dist}
Summary:       Ansible role for configuring Safenet Luna SA HSM clients

Group:         System Environment/Base
License:       ASL 2.0
URL:           https://opendev.org/openstack/ansible-role-lunasa-hsm
Source0: ansible-role-lunasa-hsm-2.0.0-2.20220104111245.26da379.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=26da379c3a5c88dda5f30adf9fd39d4254a9cc10

BuildArch:     noarch
BuildRequires: git
BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
Requires:      ansible
%else
Requires:      python3dist(ansible)
%endif

%description

Ansible role to configure Luna Network HSM clients

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git

%build
%{pyver_build}

%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}

%files
%doc README.rst
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/

%changelog
* Tue Jan 04 2022 OSP Prod Chain <dev-null@redhat.com> 2.0.0-2.20220104111245.26da379
- Update patches

* Wed Jun 09 2021 CPaaS User <cpaas-ops@redhat.com> - 1.1.1-2.20210603174813.26da379.1
- Bump release

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-2.20210603174813.26da379
- Update patches
- Remove use of ansible_fqdn

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-2.20210527200524.b3981c6
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-0.1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-0.1
- Update patches
- Add task to remove clients from HSM

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-0.1
- Update patches

* Mon Oct 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-0.1
- Update patches

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.0-1
- Update patches


